Index: src/Actions/FragmentationAction/FragmentationAutomationAction.cpp
===================================================================
--- src/Actions/FragmentationAction/FragmentationAutomationAction.cpp	(revision 447481c9093e8228d3068ae67d0b5e676c825ae1)
+++ src/Actions/FragmentationAction/FragmentationAutomationAction.cpp	(revision c699f4a92bce188cea9745629daa5f131c0768d8)
@@ -308,6 +308,5 @@
     const std::map<JobId_t, MPQCData> &fragmentData,
     const std::string &KeySetFilename,
-    size_t NoAtoms,
-    SamplingGrid &full_sample)
+    size_t NoAtoms)
 {
   // create a vector of all job ids
@@ -323,4 +322,5 @@
       createMatrixNrLookup(jobids, FragmentCounter);
 
+
   // place results into maps
   EnergyMatrix Energy;
@@ -348,67 +348,4 @@
     filename << FRAGMENTPREFIX << FORCESFILE;
     if (!ForceKeySet.ParseKeySets(KeySetFilename, filename.str(), FragmentCounter)) return false;
-  }
-
-  /// prepare for OrthogonalSummation
-
-  // convert KeySetContainer to IndexSetContainer
-  IndexSetContainer::ptr container(new IndexSetContainer(KeySet));
-  // create the map of all keysets
-  SubsetMap::ptr subsetmap(new SubsetMap(*container));
-
-  /// convert all MPQCData to MPQCDataMap_t
-  {
-    ASSERT( ForceKeySet.KeySets.size() == fragmentData.size(),
-        "FragmentationAutomationAction::performCall() - ForceKeySet's KeySets and fragmentData differ in size.");
-
-    typedef boost::mpl::remove<MPQCDataEnergyVector_t, MPQCDataFused::energy_eigenvalues>::type MPQCDataEnergyVector_noeigenvalues_t;
-    std::vector<MPQCDataEnergyMap_t> Result_Energy_fused(
-        OrthogonalSumUpPerLevel<MPQCDataEnergyMap_t, MPQCDataEnergyVector_t>(
-            fragmentData, MatrixNrLookup, container, subsetmap));
-    std::vector<MPQCDataGridMap_t> Result_Grid_fused(
-      OrthogonalSumUpPerLevel<MPQCDataGridMap_t, MPQCDataGridVector_t>(
-          fragmentData, MatrixNrLookup, container, subsetmap));
-    std::vector<MPQCDataTimeMap_t> Result_Time_fused(
-      SumUpPerLevel<MPQCDataTimeMap_t, MPQCDataTimeVector_t>(
-          fragmentData, MatrixNrLookup, container, subsetmap));
-
-    // force has extra converter
-    std::map<JobId_t, MPQCDataForceMap_t> MPQCData_Force_fused;
-    convertMPQCDatatoForceMap(fragmentData, ForceKeySet, MPQCData_Force_fused);
-    std::vector<MPQCDataForceMap_t> Result_Force_fused(subsetmap->getMaximumSubsetLevel());
-    AllLevelOrthogonalSummator<MPQCDataForceMap_t> forceSummer(
-                subsetmap,
-                MPQCData_Force_fused,
-                container->getContainer(),
-                MatrixNrLookup,
-                Result_Force_fused);
-    boost::mpl::for_each<MPQCDataForceVector_t>(boost::ref(forceSummer));
-
-    // obtain full grid
-    full_sample = boost::fusion::at_key<MPQCDataFused::sampled_grid>(Result_Grid_fused.back());
-
-    // print tables (without eigenvalues, they go extra)
-    const size_t MaxLevel = subsetmap->getMaximumSubsetLevel();
-    const std::string energyresult =
-        writeTable<MPQCDataEnergyMap_t, MPQCDataEnergyVector_noeigenvalues_t >()(
-            Result_Energy_fused, MaxLevel);
-    LOG(0, "Energy table is \n" << energyresult);
-    const std::string eigenvalueresult;
-
-    LOG(0, "Eigenvalue table is \n" << eigenvalueresult);
-    const std::string forceresult =
-        writeTable<MPQCDataForceMap_t, MPQCDataForceVector_t>()(
-            Result_Force_fused, MaxLevel);
-    LOG(0, "Force table is \n" << forceresult);
-    // we don't want to print grid to a table
-    // print times (without flops for now)
-    typedef boost::mpl::remove<
-        boost::mpl::remove<MPQCDataTimeVector_t, MPQCDataFused::times_total_flops>::type,
-        MPQCDataFused::times_gather_flops>::type
-        MPQCDataTimeVector_noflops_t;
-    const std::string timesresult =
-        writeTable<MPQCDataTimeMap_t, MPQCDataTimeVector_noflops_t >()(
-            Result_Time_fused, MaxLevel);
-    LOG(0, "Times table is \n" << timesresult);
   }
 
@@ -503,4 +440,7 @@
   /// convert all MPQCData to MPQCDataMap_t
   {
+    ASSERT( ForceKeySet.KeySets.size() == fragmentData.size(),
+        "printReceivedFullResults() - ForceKeySet's KeySets and fragmentData differ in size.");
+
     typedef boost::mpl::remove<MPQCDataEnergyVector_t, MPQCDataFused::energy_eigenvalues>::type MPQCDataEnergyVector_noeigenvalues_t;
     std::vector<MPQCDataEnergyMap_t> Result_Energy_fused(
@@ -734,6 +674,5 @@
         fragmentData,
         params.path.get(),
-        getNoAtomsFromAdjacencyFile(params.path.get()),
-        full_sample);
+        getNoAtomsFromAdjacencyFile(params.path.get()));
   }
 #endif
